import * as i from './interfaces';
import { FieldType, Variables } from '../interfaces';
export declare function isLogicalGroup(node: any): node is i.LogicalGroup;
export declare function isConjunction(node: any): node is i.Conjunction;
export declare function isNegation(node: any): node is i.Negation;
export declare function isFieldGroup(node: any): node is i.FieldGroup;
export declare function isExists(node: any): node is i.Exists;
export declare function isRange(node: any): node is i.Range;
export declare function isGeoDistance(node: any): node is i.GeoDistance;
export declare function isGeoBoundingBox(node: any): node is i.GeoBoundingBox;
export declare function isFunctionExpression(node: any): node is i.FunctionNode;
export declare function isRegexp(node: any): node is i.Regexp;
export declare function isWildcard(node: any): node is i.Wildcard;
export declare function isWildcardField(node: any): boolean;
export declare function isTerm(node: any): node is i.Term;
export declare function isEmptyAST(node: any): node is i.EmptyAST;
export declare function isStringDataType(node: any): node is i.StringDataType;
export declare const numberDataTypes: FieldType[];
export declare function isNumberDataType(node: any): node is i.NumberDataType;
export declare function isBooleanDataType(node: any): node is i.BooleanDataType;
export declare function getAnyValue(node: any): any;
export declare function getField(node: any): string | undefined;
/** term level queries with field (string|null)  */
export declare const termTypes: i.ASTType[];
export declare function isTermType(node: any): node is i.TermLike;
/** logical group or field group with flow */
export declare const groupTypes: i.ASTType[];
export declare function isGroupLike(node: any): node is i.GroupLikeAST;
export declare function validateVariables(obj: Variables): Variables;
//# sourceMappingURL=utils.d.ts.map