import { Logger } from '@terascope/utils';
import { parseGeoDistance, parseGeoPoint } from '../utils';
import * as i from './interfaces';
export default function makeContext(args: any): {
    logger: Logger;
    parseGeoPoint: typeof parseGeoPoint;
    parseGeoDistance: typeof parseGeoDistance;
    coerceTermType: (node: any, _field?: string | undefined) => void;
    parseInferredTermType: (field: string, value: any) => i.TermLikeAST;
    isInferredTermType: (field: string) => boolean;
    propagateDefaultField: (node: i.AnyAST, field: string) => void;
    parseFunction: (field: string, name: string, params: i.Term[]) => () => any;
    getVariable: (value: string) => any;
    makeFlow: (field: string, values: any[], varName: string) => {
        type: i.ASTType;
        nodes: {
            field: string;
            type: i.ASTType;
            value: any;
        }[];
    }[];
    validateRestrictedVariable: (variable: any, varName: string) => void;
};
//# sourceMappingURL=context.d.ts.map