import { GeoShapeRelation, GeoPoint, CoordinateTuple, GeoPointInput, GeoShapePoint, GeoShapePolygon, GeoShapeMultiPolygon, GeoShape } from '../../../interfaces';
import { ESGeoShape } from '../../../translator/interfaces';
export declare function polyHasPoint(polygon: any): (fieldData: GeoPointInput) => boolean;
export declare function makeCircle(point: GeoPoint, distance: number, config: any): any;
export declare function makeBBox(point1: GeoPoint, point2: GeoPoint): import("@turf/helpers").Feature<import("@turf/helpers").Polygon, import("@turf/helpers").Properties>;
export declare function pointInGeoShape(searchPoint: any): (fieldData: JoinGeoShape) => any;
export declare function makeShape(geoShape: JoinGeoShape): any;
export declare function validateListCoords(coords: CoordinateTuple[]): any[];
export declare function polyHasShape(queryPolygon: any, relation: GeoShapeRelation): (fieldData: JoinGeoShape) => any;
export declare function getRelationFn(relation: GeoShapeRelation, queryPolygon: any): (fieldPolygon: any) => any;
export declare function makeCoordinatesFromGeoPoint(point: GeoPoint): CoordinateTuple;
export declare function isGeoJSONData(input: any): input is GeoShape;
declare type JoinGeoShape = GeoShape | ESGeoShape;
export declare function isGeoShapePoint(shape: JoinGeoShape): shape is GeoShapePoint;
export declare function isGeoShapePolygon(shape: JoinGeoShape): shape is GeoShapePolygon;
export declare function isGeoShapeMultiPolygon(shape: JoinGeoShape): shape is GeoShapeMultiPolygon;
export {};
//# sourceMappingURL=helpers.d.ts.map