import { Logger } from '@terascope/utils';
import * as i from './interfaces';
import { Variables } from '../interfaces';
export declare class Parser {
    readonly ast: i.AST;
    readonly query: string;
    readonly variables: Variables;
    logger: Logger;
    constructor(query: string, options?: i.ParserOptions);
    forTypes<T extends i.ASTType[]>(types: T, cb: (node: i.AnyAST) => void): void;
    forTermTypes(cb: (node: i.TermLike) => void): void;
}
//# sourceMappingURL=parser.d.ts.map