import { Logger } from '@terascope/utils';
import { Parser } from '../parser';
import { TypeConfig, Variables } from '../interfaces';
import * as i from './interfaces';
export declare class Translator {
    readonly query: string;
    logger: Logger;
    readonly typeConfig: TypeConfig;
    readonly variables: Variables | undefined;
    private readonly _parser;
    private _defaultGeoField?;
    private _defaultGeoSortOrder;
    private _defaultGeoSortUnit;
    constructor(input: string | Parser, options?: i.TranslatorOptions);
    toElasticsearchDSL(opts?: i.ElasticsearchDSLOptions): i.ElasticsearchDSLResult;
}
//# sourceMappingURL=translator.d.ts.map