import * as p from '../parser';
import * as i from './interfaces';
export declare function translateQuery(parser: p.Parser, options: i.UtilsTranslateQueryOptions): i.ElasticsearchDSLResult;
export declare function isMultiMatch(node: p.TermLikeAST): boolean;
export declare function getTermField(node: p.TermLikeAST): string;
export declare function flattenQuery(query: i.AnyQuery | undefined, flattenTo: i.BoolQueryTypes): i.AnyQuery[];
/** This prevents double nested queries that do the same thing */
export declare function canFlattenBoolQuery(query: i.BoolQuery, flattenTo: i.BoolQueryTypes): boolean;
export declare function isBoolQuery(query: any): query is i.BoolQuery;
export declare function compactFinalQuery(query?: i.AnyQuery): i.AnyQuery | i.AnyQuery[];
//# sourceMappingURL=utils.d.ts.map